Create Wikisource Piedmontese
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikisource Piedmontese.

  • Local file uploads: disabled
  • Translations of the Wikisource-specific namespaces:

Page - Pàgina
Page talk - Discussion ëd la pàgina
Index - Tàula
Index talk - Discussion ëd la tàula

Please don't add me to any of the numerous additional bugs that will be created because of this. Thank you.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2018, 11:45 AM
MF-Warburg updated the task description. (Show Details)
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 17 2018, 11:47 AM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.May 18 2018, 3:22 PM
Urbanecm triaged this task as Low priority.May 18 2018, 3:25 PM
Urbanecm claimed this task.May 18 2018, 7:54 PM
Urbanecm added a subscriber: Urbanecm.

Going to add initial cfg.

Please provide a path to the logo that should be used (SVG is preffered). There is no link in the task's description.

Change 433830 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for pmswikisource

https://gerrit.wikimedia.org/r/433830

Urbanecm changed the status of subtask T195018: Add pmswikisource to WikimediaMessages from Open to Stalled.May 19 2018, 1:46 PM
Urbanecm changed the status of subtask T195016: Add newly created wikis to Parsoid from Open to Stalled.
Urbanecm changed the status of subtask T195015: Add pmswikisource to RESTBase from Open to Stalled.
Urbanecm changed the status of subtask T195014: Add Wikidata support to pmswikisource from Open to Stalled.
Urbanecm changed the status of subtask T195012: Add pmswikisource to wikistats from Open to Stalled.
Urbanecm changed the status of subtask T195011: Add pmswikisource to Pywikibot from Open to Stalled.

Please provide a path to the logo that should be used (SVG is preffered). There is no link in the task's description.

They didn't provide a custom logo, please just use the default: https://commons.wikimedia.org/wiki/File:Wikisource-logo.svg

Urbanecm removed Urbanecm as the assignee of this task.May 20 2018, 6:34 PM

Nothing to do for me.

Please provide a path to the logo that should be used (SVG is preffered). There is no link in the task's description.

They didn't provide a custom logo, please just use the default: https://commons.wikimedia.org/wiki/File:Wikisource-logo.svg

Ok, patch was modified.

Urbanecm moved this task from Working on to Watching on the User-Urbanecm board.May 20 2018, 6:38 PM

Change 433830 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for pmswikisource

https://gerrit.wikimedia.org/r/433830

Change 438017 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add 5 new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/438017

Change 438017 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 5 new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/438017

Change 438024 had a related patch set (by Reedy) published:
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/438024

Change 438033 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/438033

Change 438024 merged by Nuria:
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/438024

Change 438033 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/438033

Urbanecm assigned this task to Reedy.Thu, Jun 7, 8:43 PM

Wikis were created by @Reedy, thank you! I'm reviewing if anything else needs to be done from our site (except import from Incubator, if applicable).

Urbanecm changed the status of subtask T195014: Add Wikidata support to pmswikisource from Stalled to Open.Thu, Jun 7, 8:52 PM
Urbanecm changed the status of subtask T195012: Add pmswikisource to wikistats from Stalled to Open.
Urbanecm changed the status of subtask T195011: Add pmswikisource to Pywikibot from Stalled to Open.

Change 438094 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add new wikis to Restbase

https://gerrit.wikimedia.org/r/438094

Change 438094 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add new wikis to Restbase

https://gerrit.wikimedia.org/r/438094

Looks like something is wrong with the namespaces. Right now I see the following namespaces exists:
Pàgina ns102 - Discussion ëd la pàgina: ns103
Tàula: ns104 - Discussion ëd la tàula: ns105
Page: ns250 - Page talk: ns251
Index: ns252 - Index talk: ns253

And the ProofreadPage extension is operating on Index and Page.

Instead:

  • the ProofreadPage extension should be configured to use "Tàula" as index ns and "Pàgina" as page ns.
  • "Index" should not be a separate namespace, but only an alias to "Tàula"
  • "Page" should not be a separate namespace, but only an alias to "Pàgina"
Urbanecm closed this task as Resolved.Tue, Jun 12, 7:34 PM

Wikis are created. Some minor problems might be still be reopened, but wiki is operational and no big problems are reported. Should you see problems, please fill a new task.

Looks like something is wrong with the namespaces. Right now I see the following namespaces exists:
Pàgina ns102 - Discussion ëd la pàgina: ns103
Tàula: ns104 - Discussion ëd la tàula: ns105
Page: ns250 - Page talk: ns251
Index: ns252 - Index talk: ns253

And the ProofreadPage extension is operating on Index and Page.

Instead:

  • the ProofreadPage extension should be configured to use "Tàula" as index ns and "Pàgina" as page ns.
  • "Index" should not be a separate namespace, but only an alias to "Tàula"
  • "Page" should not be a separate namespace, but only an alias to "Pàgina"

There IS a problem, as I reported above. Anyway I will do as you say and create a new task.

@Candalua Sorry, I've forgot about this. At least, the closing helped to notice this again :).